View Issue Details

IDProjectCategoryView StatusLast Update
0000281WackoWikilocalizationpublic2009-10-13 16:03
Reporterebal Assigned ToTann San  
PriorityhighSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version5.0.0 
Target Version5.0.betaFixed in Version5.0.beta 
Summary0000281: "Redirect Loop" when multilanguage is set to 0
DescriptionI've test this during installation and with my local copy.

When i change the multilanguage" => "0" in config.inc.php

my firefox crashes with a "Redirect Loop" msg
Steps To Reproducechange the multilanguage" => "0" in config.inc.php
TagsNo tags attached.

Activities

2009-03-21 16:20

 

redirect.loop.error.png (119,243 bytes)   
redirect.loop.error.png (119,243 bytes)   

ebal

2009-03-21 17:38

developer   ~0000607

i suggest (without yet to be 100% sure) that in
function UserAgentLanguage the line:

else if (!$lang) $lang = $this->config["language"];

should be re-write to this:

else if (!$lang) $this->userlang = $lang = $this->config["language"];

if anyone else know the subject or understand this better than me,
plz check it and correct this.

Tann San

2009-04-09 18:44

manager   ~0000630

Fix in comment already coded in by someone and not marked as resolved.

Issue History

Date Modified Username Field Change
2009-03-21 16:20 ebal New Issue
2009-03-21 16:20 ebal File Added: redirect.loop.error.png
2009-03-21 17:38 ebal Note Added: 0000607
2009-04-09 18:44 Tann San Note Added: 0000630
2009-04-09 18:44 Tann San Status new => resolved
2009-04-09 18:44 Tann San Fixed in Version => 5.4.0
2009-04-09 18:44 Tann San Resolution open => fixed
2009-04-09 18:44 Tann San Assigned To => Tann San
2009-04-11 01:53 Tann San Fixed in Version 5.4.0 => 5.0.0
2009-10-13 15:58 administrator Target Version 5.0.0 => 5.0.beta
2009-10-13 16:03 administrator Fixed in Version 5.0.0 => 5.0.beta
2010-03-08 10:16 administrator Category Localization => localization